package com.chenyang.nse.bussiness.entity.orm.table.core.generate;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_GENERATE_DATATYPE"
)
public class TCoreGenerateDatatype extends TBaseEntity {
   private String datatypename;

   public String getDatatypename() {
      return this.datatypename;
   }

   public void setDatatypename(String datatypename) {
      this.datatypename = datatypename;
   }

   public TCoreGenerateDatatype(String datatypename) {
      this.datatypename = datatypename;
   }

   public TCoreGenerateDatatype() {
   }

   public int hashCode() {
      int prime = 31;
      int result = 1;
      result = 31 * result + (this.datatypename == null ? 0 : this.datatypename.hashCode());
      return result;
   }

   public boolean equals(Object obj) {
      if (this == obj) {
         return true;
      } else if (obj == null) {
         return false;
      } else if (this.getClass() != obj.getClass()) {
         return false;
      } else {
         TCoreGenerateDatatype other = (TCoreGenerateDatatype)obj;
         if (this.datatypename == null) {
            if (other.datatypename != null) {
               return false;
            }
         } else if (!this.datatypename.equals(other.datatypename)) {
            return false;
         }

         return true;
      }
   }

   public String toString() {
      return "TCoreGenerateDatatype [datatypename=" + this.datatypename + "]";
   }
}
